Subject: Re: new LSA

From: "Manral, Vishwas" <[email-masked]>
Date: Thu, 15 Aug 2002 04:00:15 -0400

Mitchell,

You are confusing things. The question was simply whether there was a way to
figure out a change just by seeing the current version of the LSA alone. To
which Acee correctly replied in the negative.

When a new LSA comes in, we need to compare the two version LSA's before we
decide to drop either. By comparing the two versions, we could figure out
the differences and use the information for optimizing purposes. For example
if we could figure out that the only change in the router LSA was a stub
link, we would rather just add/delete/update the stub link alone without
doing the full SPF.

Thanks,
Vishwas

-----Original Message-----
From: Erblichs [mailto:[email-masked]]
Sent: Thursday, August 15, 2002 12:50 PM
To: [email-masked]
Subject: Re: new LSA

Acee,

        Then what would / could you do with this information? Could it
        be useful in anyway? Have you ever heard of anyone really
        interested in this type of information?

        Mitchell Erblich
        ======================

Acee Lindem wrote:
>
> Erblichs wrote:
>
> > Acee,
> >
> >         Lets assume that we modify the LSA comparison code sections
> >         and we keep the older LSA versions for a short time assuming
> >         we have the memory available.
>
> Mitchell,
>
> Wasn't the original question whether this could be done without the
> previous LSA?
>
> >
> >         What would you say we can now do with this additional
information?
>
> If you had the previous LSA you could definitely determine what had
> changed between the two versions.
>
> >
> >         Mitchell Erblich
> >         ===================
> >
> >
> > Acee Lindem wrote:
> >
> >>Beatriz Silva wrote:
> >>
> >>
> >>>Hi everybody !
> >>>
> >>>I would like to know if it is possible (in OSPF v2) to identify, just
by examining the LSA, what is the change the LSA is signaling. I want to
identify if for example an router LSA was sent because the cost of one of
the links was changed, or if it was because one of the links went down ....
This, without having the previous LSAs, just by looking at the newly
received LSA. Is it possible ? How  ?
> >>>
> >>>
> >>Beatriz,
> >>
> >>AFAIK, there is no way to determine what has changed without a previous
version
> >>of the LSA.
> >>>Thank you very much,
> >>>Beatriz
> >>Acee
> --
> Acee

---

From: Erblichs <[email-masked]>
Date: Thu, 15 Aug 2002 01:47:28 -0700

I think I got it right.. Beatriz had a thought and I just wanted
        to get a census to verify that someone could achieve some positive
        results with a different approach when two LSAs are compared.

        The goal was to reach the "what is the change the LSA is signaling"
        answer and what useful features could then be done with this
information.

        And with the replies, it seems that there are a few possible features
        that could be implemented.

        Thanks,

        Mitchell Erblich
        -------------------